import { Component, inject, model } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA, MatDialogActions, MatDialogClose, MatDialogTitle, MatDialogContent } from '@angular/material/dialog';
import { Filter } from '../../shared/models/filter';
import { FormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatButtonModule } from '@angular/material/button';

@Component({
  selector: 'tts-filter-item-edit',
  standalone: true,
  imports: [
    FormsModule,
    MatButtonModule,
    MatDialogActions,
    MatDialogClose,
    MatDialogContent,
    MatDialogTitle,
    MatFormFieldModule,
    MatInputModule,
  ],
  templateUrl: './filter-item-edit.component.html',
  styleUrl: './filter-item-edit.component.scss'
})
export class FilterItemEditComponent {
  readonly dialogRef = inject(MatDialogRef<FilterItemEditComponent>);
  readonly data = inject<Filter>(MAT_DIALOG_DATA);
  readonly search = model(this.data.search);
  readonly replace = model(this.data.replace);
  readonly flag = model(this.data.flag);

  onSaveClick(): Filter {
    this.data.search = this.search();
    this.data.replace = this.replace();
    this.data.flag = this.flag();
    return this.data;
  }

  onCancelClick(): void {
    this.dialogRef.close();
  }
}
