import { Component, EventEmitter, inject, Input, Output } from '@angular/core';
import { FilterItemComponent } from '../filter-item/filter-item.component';
import { Filter, FilterFlag } from '../../shared/models/filter';
import { HermesClientService } from '../../hermes-client.service';

@Component({
  selector: 'tts-filter-list',
  standalone: true,
  imports: [FilterItemComponent],
  templateUrl: './filter-list.component.html',
  styleUrl: './filter-list.component.scss'
})
export class FilterListComponent {
    @Input() filters: Filter[] = [];
    client = inject(HermesClientService);

    deleteFilter(e: any): void {
        console.log('deleting', e);
        this.client.deleteTTSFilter(e.id);
        this.filters = this.filters.filter(f => f.id != e.id);
    }
}
